Index: murachi/.classpath
===================================================================
--- murachi/.classpath	(revision be74e785dc27543fb63fa35266297110e6f89ff7)
+++ murachi/.classpath	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -26,64 +26,67 @@
 		<attributes>
 			<attribute name="maven.pomderived" value="true"/>
+			<attribute name="org.eclipse.jst.component.dependency" value="/WEB-INF/lib"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/activation-1.1.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/api-ldap-client-api-1.0.0-M28.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/api-ldap-model-1.0.0-M28.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/asm-5.0.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/bcmail-jdk15on-1.51.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/bcpkix-jdk15on-1.51.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/bcprov-jdk15on-1.51.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-cli-1.2.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-codec-1.10.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-compiler-2.6.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-compress-1.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-dbcp2-2.0.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-io-2.4.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-lang-2.6.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-logging-1.1.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-pool2-2.2.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/digidoc4j-0.2.9.LOCAL_BUILD.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-common-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-document-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-service-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-spi-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/fest-assert-1.4.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/fest-util-1.2.5.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/fontbox-0.1.0.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/hamcrest-core-1.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/hamcrest-library-1.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/hsqldb-1.8.0.10.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/httpclient-4.3.6.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/httpcore-4.3.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jacocoagent.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jacocoant.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/janino-2.6.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jaxb-api-2.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jaxb-impl-2.1.17.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jcl-over-slf4j-1.7.7.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jdigidoc-3.10.1424.BETA.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jempbox-1.8.8.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jul-to-slf4j-1.6.6.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/junit-4.11.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/log4j-1.2.17.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/logback-classic-1.1.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/logback-core-1.1.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/mina-core-2.0.9.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/mockito-all-1.10.19.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/pdfbox-1.8.8.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/serializer-2.7.2.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/slf4j-api-1.7.12.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/snakeyaml-1.14.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/stax2-api-3.1.4.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/stax-api-1.0.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/system-rules-1.5.0.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/testcerts.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/woodstox-core-asl-4.4.1.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xalan-2.7.2.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xercesImpl-2.11.0.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xml-apis-1.4.01.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xmlsec-2.0.3.jar"/>
-	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xmlunit-1.5.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jst.j2ee.internal.web.container"/>
+	<classpathentry kind="con" path="org.eclipse.jst.j2ee.internal.module.container"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/activation-1.1.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/api-ldap-client-api-1.0.0-M28.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/api-ldap-model-1.0.0-M28.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/asm-5.0.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/bcmail-jdk15on-1.51.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/bcpkix-jdk15on-1.51.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/bcprov-jdk15on-1.51.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-cli-1.2.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-codec-1.10.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-compiler-2.6.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-compress-1.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-dbcp2-2.0.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-io-2.4.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-lang-2.6.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-logging-1.1.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-pool2-2.2.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/digidoc4j-0.2.9.LOCAL_BUILD.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-common-4.3.0-RC.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-document-4.3.0-RC.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-service-4.3.0-RC.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-spi-4.3.0-RC.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/fest-assert-1.4.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/fest-util-1.2.5.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/fontbox-0.1.0.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/hamcrest-core-1.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/hamcrest-library-1.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/hsqldb-1.8.0.10.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/httpclient-4.3.6.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/httpcore-4.3.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jacocoagent.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jacocoant.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/janino-2.6.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jaxb-api-2.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jaxb-impl-2.1.17.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jcl-over-slf4j-1.7.7.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jdigidoc-3.10.1424.BETA.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jempbox-1.8.8.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jul-to-slf4j-1.6.6.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/junit-4.11.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/log4j-1.2.17.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/logback-classic-1.1.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/logback-core-1.1.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/mina-core-2.0.9.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/mockito-all-1.10.19.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/pdfbox-1.8.8.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/serializer-2.7.2.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/slf4j-api-1.7.12.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/snakeyaml-1.14.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/stax-api-1.0.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/stax2-api-3.1.4.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/system-rules-1.5.0.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/testcerts.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/woodstox-core-asl-4.4.1.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xalan-2.7.2.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xercesImpl-2.11.0.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xml-apis-1.4.01.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xmlsec-2.0.3.jar"/>
+	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xmlunit-1.5.jar"/>
 	<classpathentry kind="output" path="target/classes"/>
 </classpath>
Index: murachi/.project
===================================================================
--- murachi/.project	(revision be74e785dc27543fb63fa35266297110e6f89ff7)
+++ murachi/.project	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -6,4 +6,14 @@
 	</projects>
 	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.wst.jsdt.core.javascriptValidator</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.wst.common.project.facet.core.builder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
 		<buildCommand>
 			<name>org.eclipse.jdt.core.javabuilder</name>
@@ -16,8 +26,17 @@
 			</arguments>
 		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.wst.validation.validationbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
 	</buildSpec>
 	<natures>
+		<nature>org.eclipse.jem.workbench.JavaEMFNature</nature>
+		<nature>org.eclipse.wst.common.modulecore.ModuleCoreNature</nature>
 		<nature>org.eclipse.jdt.core.javanature</nature>
 		<nature>org.eclipse.m2e.core.maven2Nature</nature>
+		<nature>org.eclipse.wst.common.project.facet.core.nature</nature>
+		<nature>org.eclipse.wst.jsdt.core.jsNature</nature>
 	</natures>
 </projectDescription>
Index: murachi/.settings/.jsdtscope
===================================================================
--- murachi/.settings/.jsdtscope	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/.settings/.jsdtscope	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="src" path="WebContent"/>
+	<classpathentry kind="con" path="org.eclipse.wst.jsdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="con" path="org.eclipse.wst.jsdt.launching.WebProject">
+		<attributes>
+			<attribute name="hide" value="true"/>
+		</attributes>
+	</classpathentry>
+	<classpathentry kind="con" path="org.eclipse.wst.jsdt.launching.baseBrowserLibrary"/>
+	<classpathentry kind="output" path=""/>
+</classpath>
Index: murachi/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- murachi/.settings/org.eclipse.jdt.core.prefs	(revision be74e785dc27543fb63fa35266297110e6f89ff7)
+++ murachi/.settings/org.eclipse.jdt.core.prefs	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -1,5 +1,8 @@
 eclipse.preferences.version=1
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
-org.eclipse.jdt.core.compiler.compliance=1.5
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
 org.eclipse.jdt.core.compiler.problem.forbiddenReference=warning
-org.eclipse.jdt.core.compiler.source=1.5
+org.eclipse.jdt.core.compiler.source=1.7
Index: murachi/.settings/org.eclipse.wst.common.component
===================================================================
--- murachi/.settings/org.eclipse.wst.common.component	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/.settings/org.eclipse.wst.common.component	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?><project-modules id="moduleCoreId" project-version="1.5.0">
+    <wb-module deploy-name="Murachi">
+        <wb-resource deploy-path="/" source-path="/WebContent" tag="defaultRootSource"/>
+        <wb-resource deploy-path="/WEB-INF/classes" source-path="/src/main/java"/>
+        <wb-resource deploy-path="/WEB-INF/classes" source-path="/src/main/resources"/>
+        <wb-resource deploy-path="/WEB-INF/classes" source-path="/src/test/java"/>
+	<wb-resource deploy-path="/WEB-INF/classes" source-path="/src/test/resources"/>
+        <property name="context-root" value="Murachi"/>
+        <property name="java-output-path" value="/Murachi/target/classes"/>
+    </wb-module>
+</project-modules>
Index: murachi/.settings/org.eclipse.wst.common.project.facet.core.xml
===================================================================
--- murachi/.settings/org.eclipse.wst.common.project.facet.core.xml	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/.settings/org.eclipse.wst.common.project.facet.core.xml	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<faceted-project>
+  <fixed facet="wst.jsdt.web"/>
+  <installed facet="java" version="1.7"/>
+  <installed facet="jst.web" version="3.0"/>
+  <installed facet="wst.jsdt.web" version="1.0"/>
+</faceted-project>
Index: murachi/.settings/org.eclipse.wst.jsdt.ui.superType.container
===================================================================
--- murachi/.settings/org.eclipse.wst.jsdt.ui.superType.container	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/.settings/org.eclipse.wst.jsdt.ui.superType.container	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,1 @@
+org.eclipse.wst.jsdt.launching.baseBrowserLibrary
Index: murachi/.settings/org.eclipse.wst.jsdt.ui.superType.name
===================================================================
--- murachi/.settings/org.eclipse.wst.jsdt.ui.superType.name	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/.settings/org.eclipse.wst.jsdt.ui.superType.name	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,1 @@
+Window
Index: murachi/src/main/java/ve/gob/cenditel/murachi/MurachiException.java
===================================================================
--- murachi/src/main/java/ve/gob/cenditel/murachi/MurachiException.java	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/src/main/java/ve/gob/cenditel/murachi/MurachiException.java	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,28 @@
+package ve.gob.cenditel.murachi;
+
+import java.io.Serializable;
+
+/**
+ * Clase que abstrae una excepcion del servicio Murachi
+ * @author aaraujo
+ *
+ */
+public class MurachiException extends Exception implements Serializable
+{
+	private static final long serialVersionUID = 1L;
+
+	public MurachiException()
+	{
+		super();
+	}
+	
+	public MurachiException(String msg)
+	{
+		super(msg);
+	}
+	
+	public MurachiException(String msg, Exception e)
+	{
+		super(msg, e);
+	}
+}
Index: murachi/src/main/java/ve/gob/cenditel/murachi/MurachiExceptionHandler.java
===================================================================
--- murachi/src/main/java/ve/gob/cenditel/murachi/MurachiExceptionHandler.java	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/src/main/java/ve/gob/cenditel/murachi/MurachiExceptionHandler.java	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -0,0 +1,21 @@
+package ve.gob.cenditel.murachi;
+
+import javax.ws.rs.core.Response;
+import javax.ws.rs.core.Response.Status;
+import javax.ws.rs.ext.ExceptionMapper;
+import javax.ws.rs.ext.Provider;
+
+/**
+ * Interfaz que mapea excepciones Java a objetos Response.
+ * @author aaraujo
+ *
+ */
+@Provider
+public class MurachiExceptionHandler implements ExceptionMapper<MurachiException> 
+{
+	@Override
+	public Response toResponse(MurachiException exception) 
+	{
+		return Response.status(Status.BAD_REQUEST).entity(exception.getMessage()).build();	
+	}
+}
Index: murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java
===================================================================
--- murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java	(revision be74e785dc27543fb63fa35266297110e6f89ff7)
+++ murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
@@ -8,5 +8,4 @@
 import java.io.File;
 import java.io.FileInputStream;
-import java.io.FileNotFoundException;
 import java.io.FileOutputStream;
 import java.io.IOException;
@@ -110,5 +109,5 @@
 import org.digidoc4j.signers.PKCS12Signer;
 
-
+import ve.gob.cenditel.murachi.MurachiException;
 
 @Path("/archivos")
@@ -139,6 +138,7 @@
 	 * @param fileDetails datos del archivo
 	 * @return
-	 */
-/*	
+	 * @throws MurachiException 
+	 */
+	
 	@POST
 	@Path("/")
@@ -147,13 +147,15 @@
 	public Response uploadFile(
 			@FormDataParam("upload") InputStream uploadedInputStream,
-			@FormDataParam("upload") FormDataContentDisposition fileDetails) {
+			@FormDataParam("upload") FormDataContentDisposition fileDetails) throws MurachiException {
 		
 		//TODO manejar las excepciones correctamente
 		if (uploadedInputStream == null) {
 			System.out.println("uploadedInputStream == null");
+			throw new MurachiException("uploadedInputStream != null. datos recibidos del formulario son nulos.");
 		}
 		
 		if (fileDetails == null) {
 			System.out.println("fileDetails == null");
+			throw new MurachiException("fileDetails == null. datos recibidos del formulario son nulos.");
 		}
 				
@@ -166,6 +168,6 @@
 			uploadedInputStream.close();
 		} catch (IOException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			e.printStackTrace();
+			throw new MurachiException(e.getMessage());
 		}
 		
@@ -178,29 +180,32 @@
 		return Response.status(200).entity(result).build();
 	}
-*/
+
 	
 	/**
 	 * Carga un archivo pasado a través de un formulario y retorna 
-	 * un json con el id del archivo en el servidor para futuras consultas
+	 * un json con la informacion de la(s) firma(s) del archivo
+	 * en caso de que este firmado
 	 * 
 	 * @param uploadedInputStream stream para obtener el archivo
 	 * @param fileDetails datos del archivo
 	 * @return
+	 * @throws MurachiException 
 	 */
 	@POST
-	@Path("/")
+	@Path("/firmados")
 	@Consumes(MediaType.MULTIPART_FORM_DATA)
 	@Produces(MediaType.APPLICATION_JSON)
 	public Response uploadFileAndVerify(
 			@FormDataParam("upload") InputStream uploadedInputStream,
-			@FormDataParam("upload") FormDataContentDisposition fileDetails) {
-		
-		//TODO manejar las excepciones correctamente
+			@FormDataParam("upload") FormDataContentDisposition fileDetails) throws MurachiException {
+		
 		if (uploadedInputStream == null) {
 			System.out.println("uploadedInputStream == null");
+			throw new MurachiException("uploadedInputStream != null. datos recibidos del formulario son nulos.");
 		}
 		
 		if (fileDetails == null) {
 			System.out.println("fileDetails == null");
+			throw new MurachiException("fileDetails == null. datos recibidos del formulario son nulos.");
 		}
 				
@@ -213,6 +218,6 @@
 			uploadedInputStream.close();
 		} catch (IOException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			e.printStackTrace();
+			throw new MurachiException(e.getMessage());
 		}
 		
@@ -231,6 +236,7 @@
 	 * @param fileDetails
 	 * @param fileId identificador unico del archivo de acuerdo a UUIDs
-	 */
-	private void saveToDisk(InputStream uploadedInputStream, FormDataContentDisposition fileDetails, String fileId) {
+	 * @throws MurachiException 
+	 */
+	private void saveToDisk(InputStream uploadedInputStream, FormDataContentDisposition fileDetails, String fileId) throws MurachiException {
 		
 		String uploadedFileLocation = SERVER_UPLOAD_LOCATION_FOLDER + /*fileDetails.getFileName()*/ fileId;
@@ -253,4 +259,5 @@
 		catch(IOException e) {
 			e.printStackTrace();
+			throw new MurachiException(e.getMessage());
 		}
 	}
@@ -262,10 +269,11 @@
 	 * @param idFile identificador del archivo a verificar
 	 * @return JSON con informacion de las firmas
+	 * @throws MurachiException 
 	 */
 	@GET
 	@Path("/{idFile}")
 	@Produces("application/json")
-	public Response verifyAFile(@PathParam("idFile") String idFile) {
-		
+	public Response verifyAFile(@PathParam("idFile") String idFile) throws MurachiException {
+/*		
 		System.out.println("/{idFile}");
 		
@@ -303,16 +311,6 @@
 		result = jsonObject.toString();
 		return Response.status(200).entity(result).build();
-	}
-	
-	/**
-	 * Verifica si un archivo local posee firmas electronicas y retorna informacion
-	 * de las mismas en un json.
-	 * 
-	 * @param idFile identificador del archivo a verificar
-	 * @return JSONObject con informacion de las firmas
-	 */
-	public JSONObject verifyALocalFile(String idFile) {
-		
-		System.out.println("verifyALocalFile: " + idFile);
+*/
+		System.out.println("/{idFile}");
 		
 		String file = SERVER_UPLOAD_LOCATION_FOLDER + idFile;
@@ -351,4 +349,57 @@
 			}
 		}
+		String result = jsonObject.toString();
+		return Response.status(200).entity(result).build();
+		
+		
+	}
+	
+	/**
+	 * Verifica si un archivo local posee firmas electronicas y retorna informacion
+	 * de las mismas en un json.
+	 * 
+	 * @param idFile identificador del archivo a verificar
+	 * @return JSONObject con informacion de las firmas
+	 * @throws MurachiException 
+	 */
+	public JSONObject verifyALocalFile(String idFile) throws MurachiException {
+		
+		System.out.println("verifyALocalFile: " + idFile);
+		
+		String file = SERVER_UPLOAD_LOCATION_FOLDER + idFile;
+		
+		File tmpFile = new File(file);
+		
+		JSONObject jsonObject = new JSONObject();
+		
+		if (!tmpFile.exists()) {
+			System.out.println("File : " + file + " does not exists.");
+			jsonObject.put("fileExist", "false");
+			
+		}else{
+			System.out.println("File : " + file + " exists.");
+			jsonObject.put("fileExist", "true");
+			
+			String mime = getMimeType(file);
+			System.out.println("mimetype : " + mime);
+			
+			if (mime.equals("application/pdf")){
+				System.out.println(" PDF ");
+				
+				jsonObject = verifySignaturesInPdf(file);
+				
+			//}else if (mime.equals("application/vnd.etsi.asic-e+zip")){
+			}else if (mime.equals("application/zip") ){
+				System.out.println("BDOC");				
+				//jsonObject.put("formato", "BDOC");
+				//jsonObject.put("resultado", "NO IMPLEMENTADO");
+				
+				jsonObject = verifySignaturesInBdoc(file);
+			}else{
+				System.out.println("extension no reconocida");
+				jsonObject.put("fileExist", "true");
+				jsonObject.put("error", "extension not supported");				
+			}
+		}
 		return jsonObject;
 	}
@@ -359,6 +410,7 @@
 	 * @param pdfFile archivo pdf a verificar
 	 * @return JSON con informacion de las firmas del documento PDF
-	 */
-	private JSONObject verifySignaturesInPdf(String pdfFile) {
+	 * @throws MurachiException 
+	 */
+	private JSONObject verifySignaturesInPdf(String pdfFile) throws MurachiException {
 		
 		JSONObject jsonSignatures = new JSONObject();
@@ -397,7 +449,8 @@
 		} catch (IOException e) {		
 			e.printStackTrace();
+			throw new MurachiException(e.getMessage());
 		} catch (GeneralSecurityException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			e.printStackTrace();
+			throw new MurachiException(e.getMessage());
 		}
 				
@@ -410,4 +463,6 @@
 	 * @param name nombre de la firma
 	 * @return HashMap con campos de informacion de la firma electronica
+	 * @throws GeneralSecurityException falla en 
+	 * @throws IOException cuando ca
 	 */
 	public HashMap<String, String> verifySignature(AcroFields fields, String name) throws GeneralSecurityException, IOException {
@@ -1031,6 +1086,5 @@
 				System.out.println(" dataFiles:  == 0");
 			}
-
-			
+		
 			jsonSignatures.put("numberOfSignatures", numberOfSignatures);
 			