Index: murachi/.classpath
===================================================================
--- murachi/.classpath	(revision 83a7c4ef8c2c839c827fd09f5d75e64a7ff2be85)
+++ murachi/.classpath	(revision 99d1e61cb5cdabc54ff8d0bbe1f710ae5c19cf3d)
@@ -31,62 +31,35 @@
 	<classpathentry kind="con" path="org.eclipse.jst.j2ee.internal.web.container"/>
 	<classpathentry kind="con" path="org.eclipse.jst.j2ee.internal.module.container"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/activation-1.1.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/api-ldap-client-api-1.0.0-M28.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/api-ldap-model-1.0.0-M28.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/asm-5.0.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/bcmail-jdk15on-1.51.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/bcpkix-jdk15on-1.51.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/bcprov-jdk15on-1.51.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-cli-1.2.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-codec-1.10.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-compiler-2.6.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-compress-1.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-dbcp2-2.0.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-io-2.4.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-lang-2.6.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-logging-1.1.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/commons-pool2-2.2.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/digidoc4j-0.2.9.LOCAL_BUILD.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-common-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-document-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-service-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/dss-spi-4.3.0-RC.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/fest-assert-1.4.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/fest-util-1.2.5.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/fontbox-0.1.0.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/hamcrest-core-1.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/hamcrest-library-1.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/hsqldb-1.8.0.10.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/httpclient-4.3.6.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/httpcore-4.3.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jacocoagent.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jacocoant.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/janino-2.6.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jaxb-api-2.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jaxb-impl-2.1.17.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jcl-over-slf4j-1.7.7.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jdigidoc-3.10.1424.BETA.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jempbox-1.8.8.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/jul-to-slf4j-1.6.6.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/junit-4.11.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/log4j-1.2.17.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/logback-classic-1.1.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/logback-core-1.1.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/mina-core-2.0.9.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/mockito-all-1.10.19.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/pdfbox-1.8.8.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/serializer-2.7.2.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/slf4j-api-1.7.12.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/snakeyaml-1.14.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/stax-api-1.0.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/stax2-api-3.1.4.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/system-rules-1.5.0.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/testcerts.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/woodstox-core-asl-4.4.1.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xalan-2.7.2.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xercesImpl-2.11.0.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xml-apis-1.4.01.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xmlsec-2.0.3.jar"/>
-	<classpathentry kind="lib" path="WebContent/WEB-INF/lib/xmlunit-1.5.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/bcmail-jdk15on.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/bcpkix-jdk15on.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/bcprov-jdk15on.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-cli.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-codec.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-collections.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-compiler.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-compress.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-io.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-lang.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/commons-logging.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/digidoc4j-1.0.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-common-4.4.RC2.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-diagnostic-jaxb-4.4.RC2.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-document-4.4.RC2.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-service-4.4.RC2.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-spi-4.4.RC2.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/dss-tsl-jaxb-4.4.RC2.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/httpclient.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/httpcore.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/janino.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jdigidoc-3.10.0-777.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/jul-to-slf4j.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/log4j.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/logback-classic.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/logback-core.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/serializer.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/slf4j-api.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/snakeyaml.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xalan.jar"/>
+	<classpathentry kind="lib" path="/home/aaraujo/desarrollo/2015/servicioVerificacion/src/murachi/murachi/WebContent/WEB-INF/lib/xmlsec.jar"/>
 	<classpathentry kind="output" path="target/classes"/>
 </classpath>